Bug 13916 - JavaScript detects Tab as a character input on a textfield validation
: JavaScript detects Tab as a character input on a textfield validation
Status: RESOLVED FIXED
: WebKit
HTML Editing
: 523.x (Safari 3)
: Macintosh Mac OS X 10.4
: P2 Normal
Assigned To:
: http://www.bradesco.com.br
: HasReduction
:
:
  Show dependency treegraph
 
Reported: 2007-05-29 19:57 PST by
Modified: 2007-12-11 11:17 PST (History)


Attachments
reduction (854 bytes, text/html)
2007-12-03 03:14 PST, Alexey Proskuryakov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-05-29 19:57:01 PST
Fill the "conta" textfield in the top of the page with 4 numbers (0000) then hit Tab to go to next textfield, then an alert will be shown saying that you must type only numbers.
------- Comment #1 From 2007-05-29 21:16:21 PST -------
Confirmed with a local debug build of WebKit r21856 with Safari 2.0.4 (419.3) on Mac OS X 10.4.9 (8P135).

Also occurs with shipping Safari on Tiger (see versions above).

Not only does it intercept tabs, but also Cmd-W and Cmd-Q!

Works in Firefox 2.0.0.3 (tab, Cmd-W and Cmd-Q).

Needs a reduction to determine if this is actually a WebKit bug or whether the site needs evangelism.
------- Comment #2 From 2007-05-29 21:20:30 PST -------
Note there are error messages printed to the JavaScript Console when loading this page:

Unsafe JavaScript attempt to access frame with URL http://www.bradesco.com.br/ from frame with URL http://institucional.bradesco.com.br/relogio/relogio.html. Domains must match.
Line 1
------- Comment #3 From 2007-06-24 01:26:52 PST -------
See also: bug 13031.
------- Comment #4 From 2007-12-03 03:14:41 PST -------
Created an attachment (id=17673) [details]
reduction
------- Comment #5 From 2007-12-03 03:15:44 PST -------
Working on a fix.
------- Comment #6 From 2007-12-11 11:17:08 PST -------
Fixed in revision 28620 - we now match IE and no longer dispatch keypress when tabbing between input fields.